<?php
/* Autor...:  */
/* Esquema.: MST_TipoOperacionMast.xml */
/* Generado: 2020-08-18 04:21:28 */

/* Metodos de acceso a los campos de la tabla MST_TipoOperacionMast */
abstract class BaseMST_TipoOperacionMastBN
{
    /* Campos de la tabla */
    private $s_IdOperacion;    // IdOperacion: ( no definido )
    private $s_Descripcion;    // Descripcion: ( no definido )
    private $s_Estado;    // Estado: ( no definido )
    private $d_FechaCreacion;    // FechaCreacion: ( no definido )
    private $s_UsuarioCreacion;    // UsuarioCreacion: ( no definido )

    /* Establece el valor del campo IdOperacion */
    public function setIdOperacion( $s_IdOperacion )
    {
        $this->s_IdOperacion = $s_IdOperacion;
    }

    /* Obtiene el valor del campo IdOperacion */
    public function getIdOperacion()
    {
        return $this->s_IdOperacion;
    }

    /* Establece el valor del campo Descripcion */
    public function setDescripcion( $s_Descripcion )
    {
        $this->s_Descripcion = $s_Descripcion;
    }

    /* Obtiene el valor del campo Descripcion */
    public function getDescripcion()
    {
        return $this->s_Descripcion;
    }

    /* Establece el valor del campo Estado */
    public function setEstado( $s_Estado )
    {
        $this->s_Estado = $s_Estado;
    }

    /* Obtiene el valor del campo Estado */
    public function getEstado()
    {
        return $this->s_Estado;
    }

    /* Establece el valor del campo FechaCreacion */
    public function setFechaCreacion( $d_FechaCreacion )
    {
        $this->d_FechaCreacion = $d_FechaCreacion;
    }

    /* Obtiene el valor del campo FechaCreacion */
    public function getFechaCreacion()
    {
        return $this->d_FechaCreacion;
    }

    /* Establece el valor del campo UsuarioCreacion */
    public function setUsuarioCreacion( $s_UsuarioCreacion )
    {
        $this->s_UsuarioCreacion = $s_UsuarioCreacion;
    }

    /* Obtiene el valor del campo UsuarioCreacion */
    public function getUsuarioCreacion()
    {
        return $this->s_UsuarioCreacion;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'IdOperacion' => $this->getIdOperacion(),
            'Descripcion' => $this->getDescripcion(),
            'Estado' => $this->getEstado(),
            'FechaCreacion' => $this->getFechaCreacion(),
            'UsuarioCreacion' => $this->getUsuarioCreacion(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto MST_TipoOperacionMastBN desde un RecordSet */
    public static function retrieveByRs( $o_MST_TipoOperacionMastRs )
    {
        $o_MST_TipoOperacionMastBN = new MST_TipoOperacionMastBN();
        $o_MST_TipoOperacionMastBN->setIdOperacion( $o_MST_TipoOperacionMastRs[ "IdOperacion" ] );
        $o_MST_TipoOperacionMastBN->setDescripcion( $o_MST_TipoOperacionMastRs[ "Descripcion" ] );
        $o_MST_TipoOperacionMastBN->setEstado( $o_MST_TipoOperacionMastRs[ "Estado" ] );
        $o_MST_TipoOperacionMastBN->setFechaCreacion( utilTimestamp::getTimestamp( $o_MST_TipoOperacionMastRs[ "FechaCreacion" ], "Y-m-d H:i:s" ) );
        $o_MST_TipoOperacionMastBN->setUsuarioCreacion( $o_MST_TipoOperacionMastRs[ "UsuarioCreacion" ] );
        return $o_MST_TipoOperacionMastBN;
    }
}
?>